org.apache.coyote

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.coyote.ProtocolException

- All Implemented Interfaces:
    Serializable

      public class ProtocolException
      extends RuntimeException

  Used when we need to indicate failure but the (Servlet) API doesn't declare any appropriate exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolException()`
    `ProtocolException(String message)`
    `ProtocolException(String message, Throwable cause)`
    `ProtocolException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolException

          public ProtocolException()

    - #### ProtocolException

          public ProtocolException(String message,
                           Throwable cause)

    - #### ProtocolException

          public ProtocolException(String message)

    - #### ProtocolException

          public ProtocolException(Throwable cause)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.